# Module cargo::core::registry

source ·

## Structs

- LockedPatchDependency
  Argument to `PackageRegistry::patch` which is information about a `[patch]` directive that we found in a lockfile, if present.
- PackageRegistry
  This structure represents a registry of known packages. It internally contains a number of `Box<Source>` instances which are used to load a `Package` from.

## Enums

- Kind 🔒

## Traits

- Registry
  Source of information about a group of packages.

## Functions

- lock 🔒
- summary_for_patch 🔒
  This is a helper for selecting the summary, or generating a helpful error message.

## Type Definitions

- LockedMap 🔒
  A map of all “locked packages” which is filled in when parsing a lock file and is used to guide dependency resolution by altering summaries as they’re queried from this source.